/* Global Styling */

* {
  box-sizing: border-box;
}
html,
body,
div,
img {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* Body Styling */

body {
  line-height: 1;
}

/* Header Styling */

header {
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  background-color: #5f5a5a;
  color: #ffffff;
  align-items: center;
  margin: 0;
}

header h1 {
  font-size: 48px;
  text-align: center;
}

.row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.col {
  width: 33.33%;
}

/* Style the links inside the navigation bar */

.topnav a {
  float: left;
  color: #020202;
  text-align: center;
  padding: 14px 10px;
  text-decoration: none;
  font-size: 25px;
}

.nav {
  display: flex;
  text-align: center;
  justify-content: center;
  flex-direction: row;
  gap: 10px;
}

.nav li {
  list-style-type: none;
  padding-left: 0;
}

.nav :hover {
  background-color: blue;
}

#date {
  position: absolute;
  top: 0;
  right: 0;
  margin-top: 10px;
  margin-right: 15px;
  color: white;
  padding-bottom: 15px;
  padding-top: 0;
}

/* About & Contact Styling */
#about-header,
#contact-header {
  float: left;
  /* justify-content: center; */
  /* align-items: center; */
}

.section-heading {
  text-align: center;
  font-size: 50px;
}

.sectionImg {
  margin-right: 10%;
  max-width: 100%;
  height: 30vh;
  vertical-align: middle;
  justify-content: center;
}

/* Headline Styling */

.headline {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 10px;
  margin-bottom: 20px;
  width: 60%;
  margin-left: 20%;
  margin-right: 20%;
}

.headline img {
  margin: 0;
  width: 100%;
}

.headline h2 {
  text-align: center;
  font-size: 32px;
}

/* Flex Box Styling */

.container {
  color: black;
}

.container ul {
  list-style-type: none;
  display: flex;
}

.card-gallery {
  display: flex;
  flex-wrap: wrap;
  gap: 50px;
  justify-content: center;
}

.card-gallery li {
  flex-basis: 25%;
}

.cardImg {
  object-fit: fill;
  max-width: 100%;
  height: 30vh;
  vertical-align: middle;
  border-radius: 5px;
  justify-content: center;
}

.show-more-btn {
  color: black;
  font-size: 17px;
  margin-top: 10px;
  text-align: center;
  width: 100%;
  object-fit: fill;
  border-color: black;
}

.show-more-btn:hover {
  background-color: #6e6e6e;
}

.card h2 {
  text-align: center;
  font-size: 28px;
}

.contentLinks a:hover {
  background-color: #6e6e6e;
}

.contentLinks a {
  display: block;
  width: 100%;
  text-decoration: none;
  color: rgb(0, 0, 0);
  border-width: 1px;
  border-style: outset;
  border-color: buttonborder;
  border-image: initial;
  margin-top: 5px;
  text-align: center;
  padding-top: 2px;
}

.show-more-content {
  font-size: 20px;
  margin-bottom: 20px;
}

.weather-attributes {
  margin-left: 0;
  padding-left: 0;
  display: flex;
  flex-direction: column;
}

.weather-attributes li {
  flex-basis: 55px;
}

.sub-weather-attributes {
  margin-left: 20px;
  display: flex;
  flex-direction: column;
  text-align: initial;
}

.sub-weather-attributes li {
  padding-top: 5px;
  flex-basis: 30px;
  list-style-type: circle;
}

/* Footer Styling */

footer {
  text-align: center;
  background-color: black;
  padding: 25px 0px;
  color: white;
}

.creators {
  font-size: 20px;
}

#footerHome a {
  color: white;
  font-size: 20px;
  display: block;
}

/* Dropdown Positioning */
.dropdown {
  position: relative;
}

.dropdown li {
  position: relative;
}

/* Dropdown Content */
.dropdown-content {
  display: none;
}

/* Links inside the dropdown */
.dropdown-content li a {
  color: rgb(0, 0, 0);
  padding: 7px;
  text-decoration: none;
  display: block;
  font-size: 20px;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 50px;
  left: 0px;
  background-color: rgb(173, 171, 171);
  width: 350px;
  height: auto;
}
.dropdown-content li:hover a {
  color: rgb(249, 249, 249);
}

@media screen and (max-width: 1050px) {
  #date {
    position: static;
    margin-top: 20px;
    text-align: center;
  }

  h1 {
    font-size: 30px;
    line-height: 55px;
    text-align: center;
  }

  .row {
    display: flex;
    flex-direction: column;
  }
  .col {
    width: 100%;
  }

  .sectionImg {
    display: none;
  }
  .headline {
    width: 90%;
    margin-right: 5%;
    margin-left: 5%;
  }
  .headline img {
    width: 100%;
    margin: 0;
  }

  .card {
    width: 90%;
    margin-right: 5%;
    margin-left: 5%;
  }
  .cardImg {
    width: 100%;
    height: auto;
    vertical-align: middle;
    margin: 0;
  }

  .card-gallery {
    flex-basis: 100%;
    display: flex;
    flex-direction: column;
    margin-right: 55px;
  }
}

@media screen and (max-width: 767px) {
  #date {
    position: static;
    margin-top: 20px;
    text-align: center;
  }
  h1 {
    font-size: 30px;
    line-height: 55px;
    text-align: center;
  }
  .row {
    display: flex;
    flex-direction: column;
  }
  .col {
    width: 100%;
  }
  .cardImg,
  .headline img,
  .headline {
    object-fit: cover;
    max-width: 100%;
    height: auto;
    vertical-align: middle;
    border-radius: 5px;
    margin-right: 40px;
  }
  .card-gallery {
    flex-basis: 50%;
    display: flex;
    flex-direction: column;
    margin-right: 60px;
  }
}
@media screen and (max-width: 480px) {
  #date {
    position: static;
    margin-top: 20px;
    text-align: center;
  }
  h1 {
    font-size: 30px;
    line-height: 55px;
    text-align: center;
  }
  .row {
    display: flex;
    flex-direction: column;
  }
  .col {
    width: 100%;
  }
  .card {
    max-width: 350px;
    margin: 0 auto;
  }
  .cardImg,
  .headline img,
  .headline {
    object-fit: cover;
    max-width: 350px;
    height: auto;
    vertical-align: middle;
    margin: 0 auto;
    min-width: 350px;
  }
  .card-gallery {
    flex-basis: 100%;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
  }
  .contentLinks a,
  .show-more-btn {
    max-width: 350px;
  }
  .card h2,
  .headline h2 {
    text-align: left;
  }
  footer {
    margin-top: 10px;
  }
}

@media screen and (max-width: 400px) {
  #date {
    position: static;
    margin-top: 20px;
    text-align: center;
  }

  h1 {
    font-size: 30px;
    line-height: 55px;
    text-align: center;
  }

  .row {
    display: flex;
    flex-direction: column;
  }
  .col {
    width: 100%;
  }
  .card {
    max-width: 300px;
  }
  .cardImg,
  .headline img,
  .headline {
    object-fit: cover;
    max-width: 300px;
    height: auto;
    vertical-align: middle;
    margin: 0 auto;
    min-width: 300px;
  }
  .card-gallery {
    flex-basis: 100%;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
  }
  .contentLinks a,
  .show-more-btn {
    max-width: 300px;
  }
  .card h2,
  .headline h2 {
    text-align: left;
    font-size: 24px;
  }
  footer {
    margin-top: 10px;
  }
}
